com.sun.jna.platform.win32

## Class WinRas.RASPPPIP

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASPPPIP

- Direct Known Subclasses:
    WinRas.RASPPPIP.ByReference
  Enclosing interface:
    WinRas

      public static class WinRas.RASPPPIP
      extends Structure

  The RASPPPIP structure contains the result of a PPP IP projection operation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinRas.RASPPPIP.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwError` A value that specifies the result of the PPP control protocol negotiation.
    `int` | `dwOptions` A value that specifies IPCP options for the local client.
    `int` | `dwServerOptions` A value that specifies IPCP options for the remote server.
    `int` | `dwSize` A value that specifies the size, in bytes, of the structure.
    `char[]` | `szIpAddress` An array that contains a null-terminated string that is the client's IP address on the RAS connection.
    `char[]` | `szServerIpAddress` An array that contains a null-terminated string that is the server's IP address on the RAS connection.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinRas.RASPPPIP()`
    `WinRas.RASPPPIP(Pointer memory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwSize

          public int dwSize

      A value that specifies the size, in bytes, of the structure. This member must be set before it is used in a function call.

    - #### dwError

          public int dwError

      A value that specifies the result of the PPP control protocol negotiation. A value of zero indicates success. A non-zero value indicates failure, and indicates the fatal error that occurred during the control protocol negotiation.

    - #### szIpAddress

          public char[] szIpAddress

      An array that contains a null-terminated string that is the client's IP address on the RAS connection. This address string has the form a.b.c.d.

    - #### szServerIpAddress

          public char[] szServerIpAddress

      An array that contains a null-terminated string that is the server's IP address on the RAS connection. This string is in a.b.c.d form. PPP does not require that servers provide this address, but servers will consistently return the address anyway. Other PPP vendors may not provide the address. If the address is not available, this member returns an empty string, "".

    - #### dwOptions

          public int dwOptions

      A value that specifies IPCP options for the local client.

    - #### dwServerOptions

          public int dwServerOptions

      A value that specifies IPCP options for the remote server.

  - ### Constructor Detail

    - #### WinRas.RASPPPIP

          public WinRas.RASPPPIP()

    - #### WinRas.RASPPPIP

          public WinRas.RASPPPIP(Pointer memory)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.